﻿
.buycar-fixed-list-block {
    width: 560px;
    max-width: 100%;
    display: block;
    position: fixed;
    z-index: 100000;
    height: 100vh;
    background-color: #f5f5f5;
    top: 0;
    left: -960px;
    transition: all .3s linear;
    padding: 10px 20px;
    box-sizing: border-box;
    font-size: 0;
}
.buycar-fixed-list-block.active {
    left: 0;
}
.buycar-fixed-title-box{
    width: 100%;
}
.buycar-fixed-title-logo{
    display: inline-block;
    vertical-align: bottom;
    width: 200px;
}
.buycar-fixed-title {
    width: calc(100% - 200px);
    text-align: right;
    display: inline-block;
    font-size: 18px;
    color: #000;
    letter-spacing: 2px;
    box-sizing: border-box;
    vertical-align: bottom;
    line-height: 1;
}
.rwd-buycar-fixex-out {
    display: none;
    position: absolute;
    right: 20px;
    top: 22px;
    font-size: 20px;
    color: #FFF;
}
.buycar-fixed-list-box {
    width: 100%;
    display: block;
    max-height: calc(100vh - 147px);
    overflow: auto;
    margin-top: 20px;
    font-size: 0;
}
.buycar-fixed-list{
    width: 100%;
    margin-bottom: 20px;
    background-color: #fff;
    box-sizing: border-box;
    padding: 12px;
}
.buycar-fixed-list-img{
    width: 100px;
    height: 100px;
    display: inline-block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    vertical-align: top;
}
.buycar-fixed-list-info-box{
    width: calc(100% - 120px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 0 10px;
    position: relative;
}
.buycar-fixed-list-info-name{
    font-size: 16px;
    letter-spacing: 1px;
}
.buycar-fixed-list-info-capacity-box{
    font-size: 16px;
    color: #888;
    letter-spacing: 1px;
    margin-bottom: 28px;
}
.buycar-fixed-list-many-box {
    width: 100px;
    max-width: 100%;
    margin: 0 auto;
    display: inline-block;
    font-size: 0;
    vertical-align: top;
}
.buycar-fixed-list-bth {
    display: inline-block;
    vertical-align: top;
    border: 1px solid #ddd;
    font-size: 16px;
    width: 24px;
    height: 24px;
    line-height: 20px;
    text-align: center;
    color: #9f7a5b;
    box-sizing: border-box;
    cursor: pointer;
}
.buycar-fixed-list-many-box input {
    display: inline-block;
    vertical-align: top;
    font-size: 16px;
    border: 1px solid #ddd;
    width: calc(100% - 48px);
    height: 24px;
    box-sizing: border-box;
    color: #888;
    text-align: center;
    border-right: 0;
    border-left: 0;
}
.buycar-fixed-list-price-box{
    display: inline-block;
    width: calc(100% - 120px);
    font-size: 20px;
    color: #ffa3a9;
    font-family: 'roboto';
    margin-left: 20px;
    letter-spacing: 2px;
}
.buycar-fixed-list-del{
    width: 20px;
    display: inline-block;
    font-size: 18px;
    color: #d1d1d1;
    text-align: center;
    position: relative;
    top: 30px;
    transition: all .3s linear;
}
.buycar-fixed-buy-box{
    width: 100%;
    text-align: right;
}
.buycar-fixed-buy{
    width: 110px;
    height: 36px;
    display: inline-block;
    background-color: #fff;
    box-sizing: border-box;
    text-align: left;
    padding: 5px 10px;
    position: relative;
    transition: all .3s linear;
}
.buycar-fixed-buy span{
    display: block;
    width: 100%;
    font-size: 18px;
    color: #ffa3a9;
    letter-spacing: 1px;
    position: relative;
    transition: all .3s linear;
}
.buycar-fixed-buy span:before{
    content: '';
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: 0;
    background-color: #ffa3a9;
    transition: all .3s linear;
}
.buycar-fixed-buy span:after {
    content: '';
    width: 0;
    height: 0;
    border-right: 5px solid transparent;
    border-bottom: 5px solid #ffa3a9;
    border-left: 5px solid transparent;
    display: block;
    position: absolute;
    bottom: 0;
    right: -1px;
    z-index: 2;
    transition: all .3s linear;
}
.buycar-fixed-mask {
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    z-index: 99999;
    right: 0;
    top: 0;
    background-color: rgba(0,0,0,0.3);
}
.buycar-fixed-mask.active {
    display: block;
}


.buycar-fixed-buy:hover span{
    letter-spacing: 5px;  
}
@media only screen and (max-width: 800px){
    .buycar-fixed-list-block{
        width: 300px;
    }
    .buycar-fixed-title-logo{
        width: 100px;
    }
    .buycar-fixed-title{
        width: calc(100% - 140px);
        font-size: 14px;
    }
    .buycar-fixed-list-block .buycar-fixed-list-img{
        display: none;
    }
    .buycar-fixed-list-block .buycar-fixed-list-info-box{
        width: calc(100% - 20px);
    }
    .rwd-buycar-fixex-out{
        font-size: 30px;
        top: -10px;
        right: 5px;
        display: block;
        color: #389cd2;
    }
    .buycar-fixed-list-box{
        max-height: calc(100vh - 100px);
    }
}
@media only screen and (max-width: 400px){
    .buycar-fixed-list-block{
        width: 250px;
        padding: 10px;
    }
    .buycar-fixed-list-info-box{
        width: calc(100% - 20px);
    }
    .buycar-fixed-list{
        padding: 5px;
    }
    .fixed_cart_list .buycar-fixed-list-info-name,
    .fixed_cart_list .buycar-fixed-list-info-capacity-box{
        font-size: 14px;
    }
    .buycar-fixed-list-bth{
        width: 20px;
        height: 20px;
        line-height: 16px;
    }
    .buycar-fixed-list-many-box input{
        height: 20px;
    }
    .buycar-fixed-list-price-box{
        font-size: 16px;
        width: calc(100% - 110px);
        margin-left: 10px;
    }
    .buycar-fixed-buy span{
        font-size: 16px;
    }
}
